Modem Firmware Downgrade Question (2.0 leaked firmware issue)

Discussion in 'Jailbreaks and iOS Hacks' started by plasticmoz, Jul 10, 2008.

  1. macrumors member

    Joined:
    Sep 15, 2007
    #1
    After installing the 2.0 firmware I managed to go back to 1.1.4 via pwnage though my baseband version is 04.05.04_G (I believe this came with the 2.0 update) and bootloader 3.9.

    Is there anyway to go down from 04.05.04_G so I can unlock my phone again? Currently it's jailbroken but not unlocked and bootneuter won't change either probably because the baseband is something higher.

    So in short

    my baseband is 04.05.04_G (from the leaked 2.0 I presume)

    Firmware: 1.1.4

    Bootloader: 3.9

    Not unlocked, not neutered.


    Bootneuter fails at unlocking or reverting to 4.6 (error-5), otherwise the phone works fine.


    Thanks,
     
  2. thread starter macrumors member

    Joined:
    Sep 15, 2007
    #2
    Would appreciate an answer here --

    Currently the phone works fine, installer is on there -- versions are as listed.

    However, the phone isn't unlocked and my usual ATT SIM (not iphone data plan) is showing no signal and I cannot connect to the network.

    I guess I am waiting for the dev team's 2.0 unlock release but I thought I would be able to unlock the phone since it's back to 1.1.4 -- but I guess the updated baseband is holding that back.
     
  3. macrumors regular

    Joined:
    Dec 23, 2007
    #3
    Hi

    I'm stuck in the same situation as you, sorry I can't really help. Just wanted to let you know you're not alone.

    All the solutions I have found online take me around in circles - to make the downgrade work I need BootNeuter, but to make BootNeuter to work the downgrade needs to complete.

    Dammit!
     
  4. macrumors newbie

    Joined:
    Jul 11, 2008
    #4
  5. macrumors newbie

    activea

    Joined:
    May 4, 2008
    #5
    I have tested matinez solution for windows.. and it works...(i have checked and the 3 check boxes and then Started the program) now i have my phone back working!!!

    thanks a lot ;)
     
  6. thread starter macrumors member

    Joined:
    Sep 15, 2007
    #6
    Trying this now -- I was just going to wait for pwnage 2.0 but I'll try it.

    Having some trouble simply restoring 1.1.4 from 2.0 official (gives me error 20) but once I do it I'll try the baseband eraser.
     
  7. macrumors newbie

    Joined:
    Feb 10, 2008
    Location:
    Kuwait
    #7
    Thanks my phone works now.
    Today i updated to 2.0 , i downgraded to 1.1.4 but the phone didnot work,
    but now its working.
    I used the hacked ziphone (mac version )
    i just checked Downgrade baseband and clicked on start 3 minutes everthing work.
     
  8. macrumors newbie

    Joined:
    Jul 11, 2008
    #8
    Thank you matinez!!!!

    I have been trying all day to fix my iPhone. It finally works.

    This is what I did:

    1. Put the iPhone in DFU mode.
    2. Restore in iTunes to 1.1.4.
    3. Received error 1015.
    4. Ran the modified version of ZiPhone with all 3 boxes checked. (The version matinez posted)
    5. Put the iPhone in restore mode.
    6. Restore in ITunes to 1.1.4.. again... No errors this time.
    7. Used the standard ZiPhone 3.0 to "Do it all".
    8. It works!

    I've tried so many different methods today. I don't know if I ended up putting the phone in a strange state, but that second restore was necessary to get it back up and running.

    Hope this helps. :D
     
  9. macrumors regular

    Joined:
    Dec 23, 2007
    #9
    Me too. Now cue nervous biting of teeth and drinking of coffee.....




    Me too!!!!

    Cheers guys. Martinez, macdre, if I can buy you guys a beer feel free to pm me your paypal addys!

    Take care

    Andy
     
  10. macrumors regular

    Joined:
    Jul 11, 2008
    Location:
    Czech Republic
    #10
    Could one of you possibly upload the patched ZiPhone somewhere else than rapidshare.com?
     
  11. macrumors newbie

    Joined:
    Jul 11, 2008
    #11
  12. macrumors regular

    Joined:
    Jul 11, 2008
    Location:
    Czech Republic
  13. macrumors newbie

    Joined:
    Jul 12, 2008
    #13
    Hmm, the modified version of ZiPhone doesn't run on either of my macs. It crashes. Tried downloading from both locations, weird.
     
  14. macrumors newbie

    Joined:
    Jul 11, 2008
    #14
    I used leopard 10.5.4
    Try windows?
     
  15. macrumors newbie

    Joined:
    Jul 12, 2008
    #15
    Might be that, I got tiger on both. But I tried the windows one too now, (Windows XP) and I get an error there too. :(

    It seems this really isn't my day.
     
  16. macrumors newbie

    Joined:
    Jul 12, 2008
    #16
    After installing iTunes for windows it started working. Thanks, now the baseband is downgraded.
     
  17. thread starter macrumors member

    Joined:
    Sep 15, 2007
    #17
    To the people who got it working, was your iphone in the official 2.0 firmware state when you started? or the unofficial version that was leaked the day before?
     
  18. macrumors regular

    Joined:
    Jul 11, 2008
    Location:
    Czech Republic
    #18
    The official one, although partially downgraded to 1.1.4 (through iTunes 7.5 and DFU mode...)
     
  19. thread starter macrumors member

    Joined:
    Sep 15, 2007
    #19
    Got it working -- key really is iTunes 7.5 and DFU to get the 1015 error. After that it's gravy. The step about erasing your baseband is also pretty vital and previously missing from the bigboss guide.

    Now I have a working phone till pwnage 2.0.


    Thanks guys.


    Seems like my SMS is broken though (error sending message).
     
  20. macrumors newbie

    Joined:
    Jul 11, 2008
    #20
    Mine isn't broken, I've sent and received messages tonight.
     
  21. macrumors newbie

    Joined:
    Jul 12, 2008
    #21
    im so confused!

    ok so long story short...had a 1.1.4 unlocked activvated and jailbroken vvia Ziphone and dumb me upgraded todayy and now im stuck!!!! ofcourse ziphone 3.0 cant do anything once it reboots in recovveryy mode...the connect to itunes message just stays...can someone please help me!!!!!
     
  22. macrumors newbie

    Joined:
    Jul 12, 2008
    #22
    You guys are so freaking awesome!!! I have literally been on this computer for 24 hours trying to fix t, and this very small thing did it! thank you so much!!!!! :-DD
     
  23. macrumors newbie

    Joined:
    Jul 12, 2008
    #23
    arghhh ...i cant restore my iphone using itunes 7.5, this is what it says "software for this iphone is currently not available, make sure you have the latest version of itunes before trying ." can any1 help??:(:(:(:(
     
  24. macrumors newbie

    Joined:
    Jul 11, 2008
    #24
    A few more points for anyone still stuck:

    • You definately need an older version of iTunes, I used 7.5
    • You must use DFU mode to restore the first time. Look up how to do that. Its not the normal restore mode - The screen is blank during patching.
    • You may need to download the 1.1.4 firmware version separately and force iTunes to use it if it insists on trying a different version. For Windows - hold shift while clicking on restore. OSX - Hold option while clicking on restore - then select the firmware.

    I did this all in windows because I didn't want to mess with downgrading iTunes from 7.7 to something earlier in OSX.

    Good luck!
     
  25. macrumors regular

    Joined:
    Dec 23, 2007
    #25
    I had that at first, but it worked with different sim cards so I ignored it...
     

Share This Page